Package com.tietoenator.trip.jxp.control

# Class TdbDatabaseFieldList

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.TdbMessageProvidingList<TdbControlObject>
com.tietoenator.trip.jxp.control.TdbControlObjectList
com.tietoenator.trip.jxp.control.TdbDatabaseFieldList

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `Iterable<TdbControlObject>`, `Collection<TdbControlObject>`, `List<TdbControlObject>`, `SequencedCollection<TdbControlObject>`

public class TdbDatabaseFieldList extends TdbControlObjectList
Container and retrieval logic for a list of fields within a specific database or thesaurus. The information retrieved is limited to field name, so this list is of very limited use and is intended for dropdown lists and similar UI elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbDatabaseFieldList(TdbSession session, String db)`
  Shortcut constructor that retrieves all fields from both head and part record structures
  `TdbDatabaseFieldList(TdbSession session, String db, int type, boolean headonly)`
  Constructor, retrieves a list of fields from the named database of the specified type (if any)
  `TdbDatabaseFieldList(TdbSession session, String db, Vector types, boolean headonly)`
  Constructor, retrieves a list of fields from the named database of the specified types (if any)

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.control.TdbControlObjectList

  `contains, contains, get, refresh, transform`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvidingList

  `add, add, addAll, addAll, clear, contains, containsAll, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addFirst, addLast, equals, getFirst, getLast, hashCode, removeFirst, removeLast, replaceAll, reversed, sort, spliterator`

- ## Constructor Details

  - ### TdbDatabaseFieldList

    public TdbDatabaseFieldList(TdbSession session, String db, int type, boolean headonly) throws TdbException
    Constructor, retrieves a list of fields from the named database of the specified type (if any)
    Parameters:
      `session` - Active session
      `db` - Name of the database from which to retrieve the list of fields
      `type` - The type of field to retrieve (set to 0 to retrieve all fields)
      `headonly` - If set true, only head fields are retrieved
    Throws:
      `TdbException`

  - ### TdbDatabaseFieldList

    public TdbDatabaseFieldList(TdbSession session, String db) throws TdbException
    Shortcut constructor that retrieves all fields from both head and part record structures
    Parameters:
      `session` - Active session
      `db` - Name of the database from which to retrieve the list of fields
    Throws:
      `TdbException`

  - ### TdbDatabaseFieldList

    public TdbDatabaseFieldList(TdbSession session, String db, Vector types, boolean headonly) throws TdbException
    Constructor, retrieves a list of fields from the named database of the specified types (if any)
    Parameters:
      `session` - Active session
      `db` - Name of the database from which to retrieve the list of fields
      `types` - A Vector of Integers specifying the types of fields to retrieve
      `headonly` - If set true, only head fields are retrieved
    Throws:
      `TdbException`